Monitored Resources - List
List the resources currently being monitored by the Elastic monitor resource.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Elastic/monitors/{monitorName}/listMonitoredResources?api-version=2020-07-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
monitor
|
path | True |
string |
Monitor resource name |
|
resource
|
path | True |
string |
The name of the resource group to which the Elastic resource belongs. |
|
subscription
|
path | True |
string |
The Azure subscription ID. This is a GUID-formatted string (e.g. 00000000-0000-0000-0000-000000000000) |
|
api-version
|
query | True |
string |
The API version to be used with the HTTP request. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success |
|
| Other Status Codes |
Default error response. |
Examples
MonitoredResources_List
Sample request
Sample response
{
"value": [
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.KeyVault/vaults/myVault",
"sendingLogs": "True",
"reasonForLogsStatus": "CapturedByRules"
}
]
}
Definitions
| Name | Description |
|---|---|
|
Error |
ErrorResponseBody |
|
Monitored |
The properties of a resource currently being monitored by the Elastic monitor resource. |
|
Monitored |
Response of a list operation. |
|
Resource |
RP default error response. |
|
Sending |
SendingLogs |
ErrorResponseBody
ErrorResponseBody
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code. |
| details |
Error details. |
|
| message |
string |
Error message. |
| target |
string |
Error target. |
MonitoredResource
The properties of a resource currently being monitored by the Elastic monitor resource.
| Name | Type | Description |
|---|---|---|
| id |
string |
The ARM id of the resource. |
| reasonForLogsStatus |
string |
Reason for why the resource is sending logs (or why it is not sending). |
| sendingLogs |
SendingLogs |
MonitoredResourceListResponse
Response of a list operation.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
Link to the next set of results, if any. |
| value |
Results of a list operation. |
ResourceProviderDefaultErrorResponse
RP default error response.
| Name | Type | Description |
|---|---|---|
| error |
ErrorResponseBody |
SendingLogs
SendingLogs
| Value | Description |
|---|---|
| True | |
| False |